package net.t2code.t2codelib.SPIGOT.api.plugins;

import net.t2code.t2codelib.SPIGOT.system.T2C_Main;
import org.bukkit.Bukkit;
import org.bukkit.plugin.Plugin;

import java.util.Objects;

public class T2C_PluginManager {

    public static void restart(String plugin) {
        if (Bukkit.getPluginManager().getPlugin(plugin) == null) return;
        T2C_Main.getPlugin().getPluginLoader().disablePlugin(Objects.requireNonNull(Bukkit.getPluginManager().getPlugin(plugin)));
        T2C_Main.getPlugin().getPluginLoader().enablePlugin(Objects.requireNonNull(Bukkit.getPluginManager().getPlugin(plugin)));
    }

    public static void enable(String plugin) {
        if (Bukkit.getPluginManager().getPlugin(plugin) == null) return;
        T2C_Main.getPlugin().getPluginLoader().enablePlugin(Objects.requireNonNull(Bukkit.getPluginManager().getPlugin(plugin)));
    }

    public static void disable(String plugin) {
        if (Bukkit.getPluginManager().getPlugin(plugin) == null) return;
        T2C_Main.getPlugin().getPluginLoader().disablePlugin(Objects.requireNonNull(Bukkit.getPluginManager().getPlugin(plugin)));
    }

    public static void restart(Plugin plugin) {
        if (plugin == null) return;
        T2C_Main.getPlugin().getPluginLoader().disablePlugin(plugin);
        T2C_Main.getPlugin().getPluginLoader().enablePlugin(plugin);
    }

    public static void enable(Plugin plugin) {
        if (plugin == null) return;
        T2C_Main.getPlugin().getPluginLoader().enablePlugin(plugin);
    }

    public static void disable(Plugin plugin) {
        if (plugin == null) return;
        T2C_Main.getPlugin().getPluginLoader().disablePlugin(plugin);
    }
}
