package net.t2code.t2codelib.BUNGEE.api.messages;


import net.kyori.adventure.platform.bungeecord.BungeeAudiences;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.minimessage.MiniMessage;
import net.md_5.bungee.api.CommandSender;
import net.md_5.bungee.api.connection.ProxiedPlayer;
import net.t2code.t2codelib.BUNGEE.system.T2CB_Main;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Replace;

public class T2CB_MiniMessage {
    private static final BungeeAudiences bungeeAudiences = T2CB_Main.getAdventure();

    public static void sendSenderMiniMessage(String msg, CommandSender sender) {
       bungeeAudiences.sender(sender).sendMessage(replace(msg));
    }

    public static void sendConsoleMiniMessage(String msg) {
        bungeeAudiences.console().sendMessage(replace(msg));
    }

    public static void sendPlayerMiniMessage(String msg, ProxiedPlayer player) {
        bungeeAudiences.player(player).sendMessage(replace(msg));
    }

    protected static Component replace(String text) {
        return MiniMessage.miniMessage().deserialize(T2C_Replace.convertColorCode(text));
    }

    public static String removeMiniMessageCodes(String text){
        return MiniMessage.miniMessage().stripTags(text);
    }
}
