package net.t2code.t2codelib.BUNGEE.api.pluginMessaging.autoResponse;

import net.md_5.bungee.api.ProxyServer;
import net.md_5.bungee.api.connection.ProxiedPlayer;
import net.md_5.bungee.api.event.PluginMessageEvent;
import net.md_5.bungee.api.plugin.Listener;
import net.md_5.bungee.event.EventHandler;
import net.t2code.t2codelib.BUNGEE.api.messages.T2CB_Send;
import net.t2code.t2codelib.util.T2C_Util;

import java.io.ByteArrayInputStream;
import java.io.DataInputStream;
import java.io.IOException;

public class T2CB_API_AutoResponse implements Listener {

    @EventHandler
    public void onPluginmessage(PluginMessageEvent event) {
        if (event.getTag().equalsIgnoreCase(T2C_Util.getPluginChannel_AutoResponse())) {
            DataInputStream stream = new DataInputStream(new ByteArrayInputStream(event.getData()));
            event.setCancelled(true);
            try {
                String channel = stream.readUTF();
                String input = stream.readUTF();

                switch (channel) {
                    case "ConC":
                        ProxyServer.getInstance().getConsole().sendMessage("Command Console: " + input);
                        ProxyServer.getInstance().getPluginManager().dispatchCommand(ProxyServer.getInstance().getConsole(), input);
                        break;
                    case "ALLPMSG":
                        for (ProxiedPlayer player : ProxyServer.getInstance().getPlayers()) {
                            T2CB_Send.player(player, input);
                        }
                        break;
                    default:
                        ProxiedPlayer player = ProxyServer.getInstance().getPlayer(channel);
                        if (player != null) {
                            ProxyServer.getInstance().getConsole().sendMessage("Command " + player + ": " + input);
                            ProxyServer.getInstance().getPluginManager().dispatchCommand(player, input);
                        }
                        break;
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
